Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.i18n
Class UnicodeTable

    java.lang.Object
      writer2latex.latex.i18n.UnicodeTable

     class UnicodeTable

extends java.lang.Object

Field Summary
`private UnicodeTable` | `parent`
`protected UnicodeRow[]` | `table`

Constructor Summary
`UnicodeTable(UnicodeTable parent)`

Method Summary
`protected void` | `addCharType(char c, int nType)`
`protected void` | `addCharType(char c, java.lang.String sType)`
`protected void` | `addMathChar(char c, java.lang.String sLaTeX)`
`protected void` | `addTextChar(char c, java.lang.String sLaTeX, int nFontencs, boolean bDashes)`
`private void` | `createEntry(int nRow, int nCol)`
`int` | `getCharCount()`
`int` | `getCharType(char c)`
`private UnicodeCharacter` | `getEntry(char c)`
`int` | `getFontencs(char c)`
`java.lang.String` | `getMathChar(char c)`
`java.lang.String` | `getTextChar(char c)`
`boolean` | `hasMathChar(char c)`
`boolean` | `hasTextChar(char c)`
`boolean` | `isDashes(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected UnicodeRow[] table

### parent

    private UnicodeTable parent

Constructor Detail

### UnicodeTable

    public UnicodeTable(UnicodeTable parent)

Method Detail

### createEntry

    private void createEntry(int nRow,
                             int nCol)

### addCharType

    protected void addCharType(char c,
                               int nType)

### addCharType

    protected void addCharType(char c,
                               java.lang.String sType)

### addMathChar

    protected void addMathChar(char c,
                               java.lang.String sLaTeX)

### addTextChar

    protected void addTextChar(char c,
                               java.lang.String sLaTeX,
                               int nFontencs,
                               boolean bDashes)

### getEntry

    private UnicodeCharacter getEntry(char c)

### getCharType

    public int getCharType(char c)

### hasMathChar

    public boolean hasMathChar(char c)

### getMathChar

    public java.lang.String getMathChar(char c)

### hasTextChar

    public boolean hasTextChar(char c)

### getTextChar

    public java.lang.String getTextChar(char c)

### getFontencs

    public int getFontencs(char c)

### isDashes

    public boolean isDashes(char c)

### getCharCount

    public int getCharCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD